<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.ui.gadgets.FadeOut&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.u.g.FadeOut(<span title="gobject.GObject">gobject.GObject</span>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.ui.html">ui</a>.<a href="kiwi.ui.gadgets.html">gadgets</a></span>
      
      <a href="classIndex.html#kiwi.ui.gadgets.FadeOut">View In Hierarchy</a>
    </p>
    <div>
      
    </div>
    <div>I am a helper class to draw the fading effect of the background Call my 
methods start() and stop() to control the fading.
<table class="fieldTable"></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id295">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.gadgets.FadeOut.html#__init__">__init__</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.gadgets.FadeOut.html#_merge_colors">_merge_colors</a></td>
    <td><span>Change the background of widget from src_color to dst_color
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.gadgets.FadeOut.html#_start_merging">_start_merging</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.gadgets.FadeOut.html#start">start</a></td>
    <td><span>Schedules a start of the countdown.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.gadgets.FadeOut.html#stop">stop</a></td>
    <td><span>Stops the fadeout and restores the background color
</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.ui.gadgets.FadeOut.__init__"></a>
        <a name="__init__"></a>
        <div class="functionHeader">
        
        def __init__(self, widget):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.gadgets.FadeOut._merge_colors"></a>
        <a name="_merge_colors"></a>
        <div class="functionHeader">
        
        def _merge_colors(self, src_color, dst_color, steps=10):
        
      </div>
        <div class="functionBody">
          
          <div>Change the background of widget from src_color to dst_color in the 
number of steps specified
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.gadgets.FadeOut._start_merging"></a>
        <a name="_start_merging"></a>
        <div class="functionHeader">
        
        def _start_merging(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.gadgets.FadeOut.start"></a>
        <a name="start"></a>
        <div class="functionHeader">
        
        def start(self, color):
        
      </div>
        <div class="functionBody">
          
          <div>Schedules a start of the countdown.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">color</td><td>initial background color
</td></tr><tr class="fieldStart"><td class="fieldName">Returns</td><td colspan="2">True if we could start, False if was already in progress
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.gadgets.FadeOut.stop"></a>
        <a name="stop"></a>
        <div class="functionHeader">
        
        def stop(self):
        
      </div>
        <div class="functionBody">
          
          <div>Stops the fadeout and restores the background color
<table class="fieldTable"></table></div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>